Bug 517530 - Additional policy required for system-config-printer-udev
Summary: Additional policy required for system-config-printer-udev
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 13:35 UTC by Tim Waugh
Modified: 2009-08-18 13:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-14 14:26:00 UTC


Attachments (Terms of Use)
selinux-policy-udev-configure-printer.patch (701 bytes, patch)
2009-08-14 13:35 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2009-08-14 13:35:02 UTC
Description of problem:
I missed out some of the required policy for system-config-printer-udev by the looks of it.  It needs to be able to read/write /var/run/udev-configure-printer/usb-uris.

Comment 1 Tim Waugh 2009-08-14 13:35:36 UTC
Created attachment 357458 [details]
selinux-policy-udev-configure-printer.patch

Comment 2 Daniel Walsh 2009-08-14 14:26:00 UTC
Fixed in selinux-policy-3.6.26-12.fc12.noarch

Comment 3 Tim Waugh 2009-08-15 13:40:45 UTC
Is there a koji build for that?  There is a printing fit-and-finish day on Tuesday so it would be really useful to have a Live CD ready on Monday, including this fix.

Comment 4 Tim Waugh 2009-08-17 15:24:32 UTC
*ping*

Comment 5 Daniel Walsh 2009-08-18 13:14:30 UTC
Should be one today.  Sorry I took Vacation yesterday.


Note You need to log in before you can comment on or make changes to this bug.